Summary: The client for the telnet remote login protocol.
Name: telnet
Version: 0.17
Release: 13tr
License: BSD
Group: Trustix Official
Source: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-telnet-%{version}.tar.gz
# This comes from OpenBSD CVS
Source1: telnet-client.tar.gz
Patch1: telnet-0.10-escapechar.patch
Patch2: telnet-0.17-CAN-2005-0468_0469.patch
Patch3: telnet-0.17-CAN-2005-0488.patch
Buildroot: /var/tmp/%{name}-root

%description
Telnet is a popular protocol for logging into remote systems over the
Internet.  The telnet package provides a command line telnet client.

Install the telnet package if you want to telnet to remote machines.

%prep
%setup -q -n netkit-telnet-0.17
mv telnet telnet-from-netkit
%setup -T -D -q -a 1 -n netkit-telnet-0.17
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make INSTALLROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/man
mv -f $RPM_BUILD_ROOT/usr/man/* $RPM_BUILD_ROOT/usr/share/man

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/usr/bin/telnet
/usr/share/man/man1/telnet.1*
/usr/share/man/man5/issue.net.5.gz
%exclude /usr/sbin/in.telnetd
%exclude /usr/share/man/man8/in.telnetd.8.gz

%changelog
* Wed Jun 15 2005 Hasher J <hasher at comodo dot com> 0.17-13tr
- Security Fix: Telnet information disclosure vulnerability.
- Gael Delalleau discovered an information disclosure issue 
  in the way the telnet client handles messages from a server.
  An attacker could construct a malicious telnet server that 
  collects information from the environment of any victim who 
  connects to it.
  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CAN-2005-0488 to this issue.

* Wed Jun 08 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.17-12tr
- Security Fix: Buffer overflows in telnet client
- The telnet client program supplied with MIT Kerberos 5 has buffer
  overflows in the functions slc_add_reply() and env_opt_add(), which
  may lead to remote code execution.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CAN-2005-0469 and CAN-2005-0468 to this issue.

* Thu Mar 17 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.17-10tr
- Rebuilt against Official Glibc-2.3.4

* Mon Dec  8 2003 Erlend Midttun <erlendbm at trustix dot org> 0.17-7tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.17-6tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.17-5em
- Rebuilt against glibc 2.3.2.

* Thu Feb 27 2003 Erlend Midttun <erlendbm at trustix dot com> 0.17-4em
- Make setup quiet.

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 0.17-3dm
- rebuild for Trustix Secure Linux 2.0

* Tue Feb 29 2000 Lars Gaarden <larsg at trustix dot com>
- telnet client only
- moved man page to /usr/share/man, FHS

* Sat Sep 24 1999 Preston Brown <pbrown@redhat.com>
- red hat .desktop entry

* Sat Aug 21 1999 Jeff Johnson <jbj@redhat.com>
- rebuild for 6.1.

* Wed Aug 18 1999 Bill Nottingham <notting@redhat.com>
- don't trust random TERM variables in telnetd (#4560)

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- fix (#3098).

* Thu May 27 1999 Antti Andreimann <Antti.Andreimann@mail.ee>
- fixed the problem with escape character (it could not be disabled)
- changed the spec file to use %setup macro for unpacking telnet-client

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- use glibc utmp routines.

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- fix the fix (wrong way memcpy).

* Wed Apr  7 1999 Jeff Johnson <jbj@redhat.com>
- fix "telnet localhost" bus error on sparc64 (alpha?).

* Tue Apr  6 1999 Jeff Johnson <jbj@redhat.com>
- use OpenBSD telnet client (and fix minor core dump with .telnetrc #247)

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- use openpty in telnetd

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 24 1998 Cristian Gafton <gafton@redhat.com>
- compile C++ code using egcs

* Tue Apr 14 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
